Tworzy lub aktualizuje zasób BackupVault należący do grupy zasobów.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataProtection/backupVaults/{vaultName}?api-version=2026-06-01
Parametry identyfikatora URI
| Nazwa |
W |
Wymagane |
Typ |
Opis |
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nazwa grupy zasobów. Nazwa jest niewrażliwa na wielkość liter.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Identyfikator subskrypcji docelowej. Wartość musi być identyfikatorem UUID.
|
|
vaultName
|
path |
True
|
string
|
Nazwa zasobu BackupVaultResource
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Wersja interfejsu API do użycia dla tej operacji.
|
| Nazwa |
Wymagane |
Typ |
Opis |
|
x-ms-authorization-auxiliary
|
|
string
|
|
|
x-ms-deleted-vault-id
|
|
string
|
Identyfikator usuniętego magazynu kopii zapasowej, z którego ma zostać przywrócony podczas przepływu przywracania.
|
Treść żądania
| Nazwa |
Wymagane |
Typ |
Opis |
|
location
|
True
|
string
|
Lokalizacja geograficzna, w której znajduje się zasób
|
|
properties
|
True
|
BackupVault
|
Właściwości backupVaultResource
|
|
eTag
|
|
string
|
Opcjonalny element ETag.
|
|
identity
|
|
DppIdentityDetails
|
Dane wejściowe tożsamości zarządzanej
|
|
tags
|
|
object
|
Tagi zasobów.
|
Odpowiedzi
| Nazwa |
Typ |
Opis |
|
200 OK
|
BackupVaultResource
|
Operacja aktualizacji zasobu "BackupVaultResource" powiodła się
|
|
201 Created
|
BackupVaultResource
|
Operacja tworzenia zasobu "BackupVaultResource" powiodła się
Nagłówki
- Location: string
- Retry-After: integer
|
|
Other Status Codes
|
CloudError
|
Nieoczekiwana odpowiedź na błąd.
|
Zabezpieczenia
azure_auth
Przepływ OAuth2 w usłudze Azure Active Directory.
Typ:
oauth2
Flow:
implicit
Adres URL autoryzacji:
https://login.microsoftonline.com/common/oauth2/authorize
Zakresy
| Nazwa |
Opis |
|
user_impersonation
|
podszywaj się pod konto użytkownika
|
Przykłady
Create BackupVault
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-06-01
{
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"featureSettings": {"crossRegionRestoreSettings": {"state": "Enabled"}},
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {"softDeleteSettings": {"retentionDurationInDays": 14, "state": "Enabled"}},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVault.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-06-01/VaultCRUD/PutBackupVault.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createBackupVault() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
FeatureSettings: &armdataprotection.FeatureSettings{
CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
},
},
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](14),
State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: armdataprotection.BackupVaultResource{
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Location: to.Ptr("WestUS"),
// Properties: &armdataprotection.BackupVault{
// FeatureSettings: &armdataprotection.FeatureSettings{
// CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
// },
// },
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// SecureScore: to.Ptr(armdataprotection.SecureScoreLevelAdequate),
// SecuritySettings: &armdataprotection.SecuritySettings{
// SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
// RetentionDurationInDays: to.Ptr[float64](14),
// State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
// },
// },
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// },
// },
// },
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVault.json
*/
async function createBackupVault() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
properties: {
featureSettings: { crossRegionRestoreSettings: { state: "Enabled" } },
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: { softDeleteSettings: { retentionDurationInDays: 14, state: "Enabled" } },
storageSettings: [{ type: "LocallyRedundant", datastoreType: "VaultStore" }],
},
tags: { key1: "val1" },
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==2026-06-01
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Provisioning",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Create BackupVault With CMK
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-06-01
{
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"encryptionSettings": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourceGroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
"identityType": "UserAssigned"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
},
"softDeleteSettings": {
"retentionDurationInDays": 0,
"state": "Off"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_with_cmk.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {
"encryptionSettings": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourceGroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
"identityType": "UserAssigned",
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"state": "Enabled",
},
"immutabilitySettings": {"state": "Disabled"},
"softDeleteSettings": {"retentionDurationInDays": 0, "state": "Off"},
},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultWithCMK.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-06-01/VaultCRUD/PutBackupVaultWithCMK.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createBackupVaultWithCmk() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
EncryptionSettings: &armdataprotection.EncryptionSettings{
InfrastructureEncryption: to.Ptr(armdataprotection.InfrastructureEncryptionStateEnabled),
KekIdentity: &armdataprotection.CmkKekIdentity{
IdentityID: to.Ptr("/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourceGroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"),
IdentityType: to.Ptr(armdataprotection.IdentityTypeUserAssigned),
},
KeyVaultProperties: &armdataprotection.CmkKeyVaultProperties{
KeyURI: to.Ptr("https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"),
},
State: to.Ptr(armdataprotection.EncryptionStateEnabled),
},
ImmutabilitySettings: &armdataprotection.ImmutabilitySettings{
State: to.Ptr(armdataprotection.ImmutabilityStateDisabled),
},
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](0),
State: to.Ptr(armdataprotection.SoftDeleteStateOff),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: armdataprotection.BackupVaultResource{
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Location: to.Ptr("WestUS"),
// Properties: &armdataprotection.BackupVault{
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// },
// },
// },
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultWithCMK.json
*/
async function createBackupVaultWithCMK() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
properties: {
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: {
encryptionSettings: {
infrastructureEncryption: "Enabled",
kekIdentity: {
identityId:
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourceGroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
identityType: "UserAssigned",
},
keyVaultProperties: {
keyUri: "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3",
},
state: "Enabled",
},
immutabilitySettings: { state: "Disabled" },
softDeleteSettings: { retentionDurationInDays: 0, state: "Off" },
},
storageSettings: [{ type: "LocallyRedundant", datastoreType: "VaultStore" }],
},
tags: { key1: "val1" },
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==?api-version=2023-04-01-privatepreview
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Provisioning",
"securitySettings": {
"encryptionSettings": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourceGroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
"identityType": "UserAssigned"
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
},
"softDeleteSettings": {
"retentionDurationInDays": 0,
"state": "Off"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Create BackupVault With Cost Management Settings
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-06-01
{
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"costManagementSettings": {
"granularityLevel": "ProtectedItemLevel"
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_with_cost_management_settings.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"costManagementSettings": {"granularityLevel": "ProtectedItemLevel"},
"featureSettings": {"crossRegionRestoreSettings": {"state": "Enabled"}},
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {"softDeleteSettings": {"retentionDurationInDays": 14, "state": "Enabled"}},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultWithCostManagementSettings.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-06-01/VaultCRUD/PutBackupVaultWithCostManagementSettings.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createBackupVaultWithCostManagementSettings() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
FeatureSettings: &armdataprotection.FeatureSettings{
CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
},
},
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
CostManagementSettings: &armdataprotection.CostManagementSettings{
GranularityLevel: to.Ptr(armdataprotection.GranularityLevelProtectedItemLevel),
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](14),
State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: armdataprotection.BackupVaultResource{
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Location: to.Ptr("WestUS"),
// Properties: &armdataprotection.BackupVault{
// FeatureSettings: &armdataprotection.FeatureSettings{
// CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
// },
// },
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// CostManagementSettings: &armdataprotection.CostManagementSettings{
// GranularityLevel: to.Ptr(armdataprotection.GranularityLevelProtectedItemLevel),
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// SecureScore: to.Ptr(armdataprotection.SecureScoreLevelAdequate),
// SecuritySettings: &armdataprotection.SecuritySettings{
// SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
// RetentionDurationInDays: to.Ptr[float64](14),
// State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
// },
// },
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// },
// },
// },
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultWithCostManagementSettings.json
*/
async function createBackupVaultWithCostManagementSettings() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
properties: {
featureSettings: { crossRegionRestoreSettings: { state: "Enabled" } },
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
costManagementSettings: { granularityLevel: "ProtectedItemLevel" },
securitySettings: { softDeleteSettings: { retentionDurationInDays: 14, state: "Enabled" } },
storageSettings: [{ type: "LocallyRedundant", datastoreType: "VaultStore" }],
},
tags: { key1: "val1" },
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"costManagementSettings": {
"granularityLevel": "ProtectedItemLevel"
},
"provisioningState": "Succeeded",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==2026-06-01
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"costManagementSettings": {
"granularityLevel": "ProtectedItemLevel"
},
"provisioningState": "Provisioning",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Create BackupVault With MSI
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-06-01
{
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_with_msi.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"featureSettings": {"crossRegionRestoreSettings": {"state": "Enabled"}},
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {"softDeleteSettings": {"retentionDurationInDays": 14, "state": "Enabled"}},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultWithMSI.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-06-01/VaultCRUD/PutBackupVaultWithMSI.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createBackupVaultWithMsi() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
FeatureSettings: &armdataprotection.FeatureSettings{
CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
},
},
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](14),
State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: armdataprotection.BackupVaultResource{
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Location: to.Ptr("WestUS"),
// Properties: &armdataprotection.BackupVault{
// FeatureSettings: &armdataprotection.FeatureSettings{
// CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
// },
// },
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// SecureScore: to.Ptr(armdataprotection.SecureScoreLevelAdequate),
// SecuritySettings: &armdataprotection.SecuritySettings{
// SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
// RetentionDurationInDays: to.Ptr[float64](14),
// State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
// },
// },
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// },
// },
// },
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultWithMSI.json
*/
async function createBackupVaultWithMSI() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
properties: {
featureSettings: { crossRegionRestoreSettings: { state: "Enabled" } },
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: { softDeleteSettings: { retentionDurationInDays: 14, state: "Enabled" } },
storageSettings: [{ type: "LocallyRedundant", datastoreType: "VaultStore" }],
},
tags: { key1: "val1" },
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==2026-06-01
Retry-After: 10
{
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Provisioning",
"secureScore": "Adequate",
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
}
},
"storageSettings": [
{
"type": "LocallyRedundant",
"datastoreType": "VaultStore"
}
]
},
"tags": {
"key1": "val1"
}
}
Create or Update Backup Vault With CMK and Resource Guard Enabled
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-06-01
{
"location": "WestUS",
"tags": {
"key1": "val1"
},
"identity": {
"type": "None"
},
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"state": "Off",
"retentionDurationInDays": 0
},
"immutabilitySettings": {
"state": "Disabled"
},
"encryptionSettings": {
"state": "Enabled",
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"kekIdentity": {
"identityType": "UserAssigned",
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"infrastructureEncryption": "Enabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
]
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_cmk_settings_resource_guard_enabled.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"identity": {"type": "None"},
"location": "WestUS",
"properties": {
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {
"encryptionSettings": {
"infrastructureEncryption": "Enabled",
"kekIdentity": {
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
"identityType": "UserAssigned",
},
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"state": "Enabled",
},
"immutabilitySettings": {"state": "Disabled"},
"softDeleteSettings": {"retentionDurationInDays": 0, "state": "Off"},
},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultCMKSettings_ResourceGuardEnabled.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-06-01/VaultCRUD/PutBackupVaultCMKSettings_ResourceGuardEnabled.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_createOrUpdateBackupVaultWithCmkAndResourceGuardEnabled() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("0b352192-dcac-4cc7-992e-a96190ccc68c", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
Identity: &armdataprotection.DppIdentityDetails{
Type: to.Ptr("None"),
},
Properties: &armdataprotection.BackupVault{
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
State: to.Ptr(armdataprotection.SoftDeleteStateOff),
RetentionDurationInDays: to.Ptr[float64](0),
},
ImmutabilitySettings: &armdataprotection.ImmutabilitySettings{
State: to.Ptr(armdataprotection.ImmutabilityStateDisabled),
},
EncryptionSettings: &armdataprotection.EncryptionSettings{
State: to.Ptr(armdataprotection.EncryptionStateEnabled),
KeyVaultProperties: &armdataprotection.CmkKeyVaultProperties{
KeyURI: to.Ptr("https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"),
},
KekIdentity: &armdataprotection.CmkKekIdentity{
IdentityType: to.Ptr(armdataprotection.IdentityTypeUserAssigned),
IdentityID: to.Ptr("/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"),
},
InfrastructureEncryption: to.Ptr(armdataprotection.InfrastructureEncryptionStateEnabled),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
},
},
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: armdataprotection.BackupVaultResource{
// Identity: &armdataprotection.DppIdentityDetails{
// Type: to.Ptr("None"),
// },
// ID: to.Ptr("/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample"),
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/Backupvaults"),
// Location: to.Ptr("WestUS"),
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// Properties: &armdataprotection.BackupVault{
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-06-01/VaultCRUD/PutBackupVaultCMKSettings_ResourceGuardEnabled.json
*/
async function createOrUpdateBackupVaultWithCMKAndResourceGuardEnabled() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0b352192-dcac-4cc7-992e-a96190ccc68c";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate("SampleResourceGroup", "swaggerExample", {
location: "WestUS",
tags: { key1: "val1" },
identity: { type: "None" },
properties: {
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: {
softDeleteSettings: { state: "Off", retentionDurationInDays: 0 },
immutabilitySettings: { state: "Disabled" },
encryptionSettings: {
state: "Enabled",
keyVaultProperties: {
keyUri: "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3",
},
kekIdentity: {
identityType: "UserAssigned",
identityId:
"/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi",
},
infrastructureEncryption: "Enabled",
},
},
storageSettings: [{ datastoreType: "VaultStore", type: "LocallyRedundant" }],
},
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
Retry-After: 10
Azure-AsyncOperation: https://management.azure.com/subscriptions/04cf684a-d41f-4550-9f70-7708a3a2283b/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample/operationStatus/YWUzNDFkMzQtZmM5OS00MmUyLWEzNDMtZGJkMDIxZjlmZjgzOzdmYzBiMzhmLTc2NmItNDM5NS05OWQ1LTVmOGEzNzg4MWQzNA==2026-06-01
{
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"location": "WestUS",
"tags": {
"key1": "val1"
},
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"state": "Off",
"retentionDurationInDays": 0
},
"immutabilitySettings": {
"state": "Disabled"
},
"encryptionSettings": {
"state": "Enabled",
"keyVaultProperties": {
"keyUri": "https://cmk2xkv.vault.azure.net/keys/Key1/0767b348bb1a4c07baa6c4ec0055d2b3"
},
"kekIdentity": {
"identityType": "UserAssigned",
"identityId": "/subscriptions/85bf5e8c-3084-4f42-add2-746ebb7e97b2/resourcegroups/defaultrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/examplemsi"
},
"infrastructureEncryption": "Enabled"
}
},
"resourceGuardOperationRequests": [
"/subscriptions/754ec39f-8d2a-44cf-bfbf-13107ac85c36/resourcegroups/mua-testing/providers/Microsoft.DataProtection/resourceGuards/gvjreddy-test-ecy-rg-reader/dppModifyEncryptionSettingsRequests/default"
],
"provisioningState": "Provisioning",
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
]
}
}
{
"identity": {
"type": "None"
},
"id": "/subscriptions/0b352192-dcac-4cc7-992e-a96190ccc68c/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/Backupvaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/Backupvaults",
"location": "WestUS",
"tags": {
"key1": "val1"
},
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"provisioningState": "Succeeded",
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
]
}
}
Restore a soft-deleted backup vault
Przykładowe żądanie
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/backupVaults/swaggerExample?api-version=2026-06-01
{
"location": "WestUS",
"properties": {
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
],
"featureSettings": {
"crossSubscriptionRestoreSettings": {
"state": "Disabled"
},
"crossRegionRestoreSettings": {
"state": "Enabled"
}
}
},
"tags": {
"key1": "val1"
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.dataprotection import DataProtectionMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-dataprotection
# USAGE
python put_backup_vault_with_undelete.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = DataProtectionMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.backup_vaults.begin_create_or_update(
resource_group_name="SampleResourceGroup",
vault_name="swaggerExample",
parameters={
"location": "WestUS",
"properties": {
"featureSettings": {
"crossRegionRestoreSettings": {"state": "Enabled"},
"crossSubscriptionRestoreSettings": {"state": "Disabled"},
},
"monitoringSettings": {"azureMonitorAlertSettings": {"alertsForAllJobFailures": "Enabled"}},
"securitySettings": {
"immutabilitySettings": {"state": "Disabled"},
"softDeleteSettings": {"retentionDurationInDays": 14, "state": "Enabled"},
},
"storageSettings": [{"datastoreType": "VaultStore", "type": "LocallyRedundant"}],
},
"tags": {"key1": "val1"},
},
).result()
print(response)
# x-ms-original-file: 2026-06-01/PutBackupVaultWithUndelete.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armdataprotection_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dataprotection/armdataprotection/v4"
)
// Generated from example definition: 2026-06-01/PutBackupVaultWithUndelete.json
func ExampleBackupVaultsClient_BeginCreateOrUpdate_restoreASoftDeletedBackupVault() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armdataprotection.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewBackupVaultsClient().BeginCreateOrUpdate(ctx, "SampleResourceGroup", "swaggerExample", armdataprotection.BackupVaultResource{
Location: to.Ptr("WestUS"),
Properties: &armdataprotection.BackupVault{
MonitoringSettings: &armdataprotection.MonitoringSettings{
AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
},
},
SecuritySettings: &armdataprotection.SecuritySettings{
SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
RetentionDurationInDays: to.Ptr[float64](14),
State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
},
ImmutabilitySettings: &armdataprotection.ImmutabilitySettings{
State: to.Ptr(armdataprotection.ImmutabilityStateDisabled),
},
},
StorageSettings: []*armdataprotection.StorageSetting{
{
DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
},
},
FeatureSettings: &armdataprotection.FeatureSettings{
CrossSubscriptionRestoreSettings: &armdataprotection.CrossSubscriptionRestoreSettings{
State: to.Ptr(armdataprotection.CrossSubscriptionRestoreStateDisabled),
},
CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
},
},
},
Tags: map[string]*string{
"key1": to.Ptr("val1"),
},
}, &armdataprotection.BackupVaultsClientBeginCreateOrUpdateOptions{
XMSDeletedVaultID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DataProtection/locations/WestUS/deletedVaults/swaggerExample")})
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armdataprotection.BackupVaultsClientCreateOrUpdateResponse{
// BackupVaultResource: armdataprotection.BackupVaultResource{
// Location: to.Ptr("WestUS"),
// Tags: map[string]*string{
// "key1": to.Ptr("val1"),
// },
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/BackupVaults/swaggerExample"),
// Name: to.Ptr("swaggerExample"),
// Type: to.Ptr("Microsoft.DataProtection/BackupVaults"),
// Properties: &armdataprotection.BackupVault{
// ProvisioningState: to.Ptr(armdataprotection.ProvisioningStateSucceeded),
// ResourceMoveState: to.Ptr(armdataprotection.ResourceMoveStateUnknown),
// MonitoringSettings: &armdataprotection.MonitoringSettings{
// AzureMonitorAlertSettings: &armdataprotection.AzureMonitorAlertSettings{
// AlertsForAllJobFailures: to.Ptr(armdataprotection.AlertsStateEnabled),
// },
// },
// SecuritySettings: &armdataprotection.SecuritySettings{
// SoftDeleteSettings: &armdataprotection.SoftDeleteSettings{
// RetentionDurationInDays: to.Ptr[float64](14),
// State: to.Ptr(armdataprotection.SoftDeleteState("Enabled")),
// },
// ImmutabilitySettings: &armdataprotection.ImmutabilitySettings{
// State: to.Ptr(armdataprotection.ImmutabilityStateDisabled),
// },
// },
// StorageSettings: []*armdataprotection.StorageSetting{
// {
// DatastoreType: to.Ptr(armdataprotection.StorageSettingStoreTypesVaultStore),
// Type: to.Ptr(armdataprotection.StorageSettingTypesLocallyRedundant),
// },
// },
// FeatureSettings: &armdataprotection.FeatureSettings{
// CrossSubscriptionRestoreSettings: &armdataprotection.CrossSubscriptionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossSubscriptionRestoreStateDisabled),
// },
// CrossRegionRestoreSettings: &armdataprotection.CrossRegionRestoreSettings{
// State: to.Ptr(armdataprotection.CrossRegionRestoreStateEnabled),
// },
// },
// SecureScore: to.Ptr(armdataprotection.SecureScoreLevelMaximum),
// IsVaultProtectedByResourceGuard: to.Ptr(false),
// ResourceGuardOperationRequests: []*string{
// },
// ReplicatedRegions: []*string{
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { DataProtectionClient } = require("@azure/arm-dataprotection");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates or updates a BackupVault resource belonging to a resource group.
*
* @summary creates or updates a BackupVault resource belonging to a resource group.
* x-ms-original-file: 2026-06-01/PutBackupVaultWithUndelete.json
*/
async function restoreASoftDeletedBackupVault() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new DataProtectionClient(credential, subscriptionId);
const result = await client.backupVaults.createOrUpdate(
"SampleResourceGroup",
"swaggerExample",
{
location: "WestUS",
properties: {
monitoringSettings: { azureMonitorAlertSettings: { alertsForAllJobFailures: "Enabled" } },
securitySettings: {
softDeleteSettings: { retentionDurationInDays: 14, state: "Enabled" },
immutabilitySettings: { state: "Disabled" },
},
storageSettings: [{ datastoreType: "VaultStore", type: "LocallyRedundant" }],
featureSettings: {
crossSubscriptionRestoreSettings: { state: "Disabled" },
crossRegionRestoreSettings: { state: "Enabled" },
},
},
tags: { key1: "val1" },
},
{
xMsDeletedVaultId:
"/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DataProtection/locations/WestUS/deletedVaults/swaggerExample",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"location": "WestUS",
"tags": {
"key1": "val1"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/BackupVaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/BackupVaults",
"properties": {
"provisioningState": "Succeeded",
"resourceMoveState": "Unknown",
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
],
"featureSettings": {
"crossSubscriptionRestoreSettings": {
"state": "Disabled"
},
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"secureScore": "Maximum",
"isVaultProtectedByResourceGuard": false,
"resourceGuardOperationRequests": [],
"replicatedRegions": []
}
}
{
"location": "WestUS",
"tags": {
"key1": "val1"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/SampleResourceGroup/providers/Microsoft.DataProtection/BackupVaults/swaggerExample",
"name": "swaggerExample",
"type": "Microsoft.DataProtection/BackupVaults",
"properties": {
"provisioningState": "Succeeded",
"resourceMoveState": "Unknown",
"monitoringSettings": {
"azureMonitorAlertSettings": {
"alertsForAllJobFailures": "Enabled"
}
},
"securitySettings": {
"softDeleteSettings": {
"retentionDurationInDays": 14,
"state": "Enabled"
},
"immutabilitySettings": {
"state": "Disabled"
}
},
"storageSettings": [
{
"datastoreType": "VaultStore",
"type": "LocallyRedundant"
}
],
"featureSettings": {
"crossSubscriptionRestoreSettings": {
"state": "Disabled"
},
"crossRegionRestoreSettings": {
"state": "Enabled"
}
},
"secureScore": "Maximum",
"isVaultProtectedByResourceGuard": false,
"resourceGuardOperationRequests": [],
"replicatedRegions": []
}
}
Definicje
AlertsState
Wyliczenie
| Wartość |
Opis |
|
Enabled
|
|
|
Disabled
|
|
AzureMonitorAlertSettings
Objekt
Ustawienia alertów opartych na Azure Monitor
BackupVault
Objekt
Magazyn kopii zapasowych
| Nazwa |
Typ |
Opis |
|
bcdrSecurityLevel
|
BCDRSecurityLevel
|
Poziom zabezpieczeń magazynu kopii zapasowych
|
|
costManagementSettings
|
CostManagementSettings
|
Ustawienia zarządzania kosztami skarbca
|
|
featureSettings
|
FeatureSettings
|
Ustawienia funkcji
|
|
isVaultProtectedByResourceGuard
|
boolean
|
Czy magazyn jest chroniony przez funkcję Resource Guard
|
|
monitoringSettings
|
MonitoringSettings
|
Ustawienia monitorowania
|
|
provisioningState
|
ProvisioningState
|
Stan aprowizacji zasobu BackupVault
|
|
replicatedRegions
|
string[]
|
Lista zreplikowanych regionów dla magazynu kopii zapasowych
|
|
resourceGuardOperationRequests
|
string[]
|
ResourceGuardOperationRequests, na którym zostanie wykonane sprawdzanie LAC
|
|
resourceMoveDetails
|
ResourceMoveDetails
|
Szczegóły przenoszenia zasobów dla magazynu kopii zapasowych
|
|
resourceMoveState
|
ResourceMoveState
|
Stan przenoszenia zasobów dla magazynu kopii zapasowych
|
|
secureScore
|
SecureScoreLevel
|
Wskaźnik bezpieczeństwa magazynu kopii zapasowych
|
|
securitySettings
|
SecuritySettings
|
Ustawienia zabezpieczeń
|
|
storageSettings
|
StorageSetting[]
|
Ustawienia magazynu
|
BackupVaultResource
Objekt
Zasób magazynu kopii zapasowych
| Nazwa |
Typ |
Opis |
|
eTag
|
string
|
Opcjonalny element ETag.
|
|
id
|
string
(arm-id)
|
W pełni określony identyfikator zasobu dla tego zasobu. Np. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
identity
|
DppIdentityDetails
|
Dane wejściowe tożsamości zarządzanej
|
|
location
|
string
|
Lokalizacja geograficzna, w której znajduje się zasób
|
|
name
|
string
|
Nazwa zasobu
|
|
properties
|
BackupVault
|
Właściwości backupVaultResource
|
|
systemData
|
systemData
|
Metadane usługi Azure Resource Manager zawierające informacje „createdBy” i „modifiedBy”.
|
|
tags
|
object
|
Tagi zasobów.
|
|
type
|
string
|
Typ zasobu. Np. "Microsoft.Compute/virtualMachines" lub "Microsoft.Storage/storageAccounts"
|
BCDRSecurityLevel
Wyliczenie
Poziom zabezpieczeń magazynu kopii zapasowych
| Wartość |
Opis |
|
Poor
|
|
|
Fair
|
|
|
Good
|
|
|
Excellent
|
|
|
NotSupported
|
|
CloudError
Objekt
Odpowiedź na błąd z usługi Azure Backup.
| Nazwa |
Typ |
Opis |
|
error
|
Error
|
Odpowiedź na błąd zarządzania zasobami.
|
CmkKekIdentity
Objekt
Szczegóły tożsamości zarządzanej używanej na potrzeby klucza zarządzanego
| Nazwa |
Typ |
Opis |
|
identityId
|
string
|
Tożsamość zarządzana do użycia, która ma uprawnienia dostępu do usługi Key Vault. Podaj tutaj wartość w przypadku typów tożsamości: "UserAssigned" tylko.
|
|
identityType
|
IdentityType
|
Typ tożsamości. "SystemAssigned" i "UserAssigned" wzajemnie się wykluczają. "SystemAssigned" będzie używać niejawnie utworzonej tożsamości zarządzanej.
|
CmkKeyVaultProperties
Objekt
Właściwości Key Vault, który gości CMK
| Nazwa |
Typ |
Opis |
|
keyUri
|
string
|
Identyfikator URI klucza zarządzanego przez klienta
|
CostManagementSettings
Objekt
Ustawienia zarządzania kosztami skarbca
| Nazwa |
Typ |
Opis |
|
granularityLevel
|
GranularityLevel
|
Ustawienia poziomu szczegółowości
|
createdByType
Wyliczenie
Typ tożsamości, która utworzyła zasób.
| Wartość |
Opis |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
CrossRegionRestoreSettings
Objekt
CrossRegionRestoreState
Wyliczenie
Stan CrossRegionRestore
| Wartość |
Opis |
|
Disabled
|
|
|
Enabled
|
|
CrossSubscriptionRestoreSettings
Objekt
Ustawienia crossSubscriptionRestore
CrossSubscriptionRestoreState
Wyliczenie
Stan crossSubscriptionRestore
| Wartość |
Opis |
|
Disabled
|
|
|
PermanentlyDisabled
|
|
|
Enabled
|
|
DppIdentityDetails
Objekt
Szczegóły tożsamości
| Nazwa |
Typ |
Opis |
|
principalId
|
string
|
Identyfikator obiektu jednostki usługi dla tożsamości zarządzanej używanej do udzielania dostępu opartego na rolach do zasobu platformy Azure.
|
|
tenantId
|
string
|
Unikatowy identyfikator globalny (GUID), który reprezentuje dzierżawę usługi Azure AD, w której zasób jest teraz członkiem.
|
|
type
|
string
|
Typ tożsamości, który może mieć wartość SystemAssigned, UserAssigned, "SystemAssigned,UserAssigned" lub None
|
|
userAssignedIdentities
|
<string,
UserAssignedIdentity>
|
Pobiera lub ustawia tożsamości przypisane przez użytkownika.
|
encryptionSettings
Objekt
Szczegóły klucza zarządzanego przez klienta dotyczące zasobu.
EncryptionState
Wyliczenie
Stan szyfrowania magazynu kopii zapasowych.
| Wartość |
Opis |
|
Enabled
|
Szyfrowanie klucza zarządzanego przez klienta jest włączone w magazynie kopii zapasowych
|
|
Disabled
|
Szyfrowanie cmK jest wyłączone w magazynie kopii zapasowych. Użytkownik nie może ustawić tego stanu po włączeniu stanu szyfrowania.
|
|
Inconsistent
|
Szyfrowanie cmK jest w stanie niespójnym w magazynie kopii zapasowych. Ten stan wskazuje, że użytkownik musi natychmiast ponowić operację ustawień szyfrowania, aby poprawić stan.
|
Error
Objekt
Odpowiedź na błąd zarządzania zasobami.
| Nazwa |
Typ |
Opis |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Dodatkowe informacje o błędzie
|
|
code
|
string
|
Kod błędu.
|
|
details
|
Error[]
|
Szczegóły błędu.
|
|
message
|
string
|
Komunikat o błędzie.
|
|
target
|
string
|
Cel błędu.
|
ErrorAdditionalInfo
Objekt
Dodatkowe informacje o błędzie zarządzania zasobami.
| Nazwa |
Typ |
Opis |
|
info
|
object
|
Dodatkowe informacje.
|
|
type
|
string
|
Dodatkowy typ informacji.
|
FeatureSettings
Objekt
Klasa zawierająca ustawienia funkcji magazynu
GranularityLevel
Wyliczenie
| Wartość |
Opis |
|
VaultLevel
|
|
|
ProtectedItemLevel
|
|
|
ProtectedItemWithParentTag
|
|
IdentityType
Wyliczenie
Typ tożsamości. "SystemAssigned" i "UserAssigned" wzajemnie się wykluczają. "SystemAssigned" będzie używać niejawnie utworzonej tożsamości zarządzanej.
| Wartość |
Opis |
|
SystemAssigned
|
|
|
UserAssigned
|
|
ImmutabilitySettings
Objekt
Ustawienia niezmienności na poziomie magazynu
ImmutabilityState
Wyliczenie
Stan niezmienności
| Wartość |
Opis |
|
Disabled
|
|
|
Unlocked
|
|
|
Locked
|
|
InfrastructureEncryptionState
Wyliczenie
Włączanie/wyłączanie stanu podwójnego szyfrowania
| Wartość |
Opis |
|
Enabled
|
|
|
Disabled
|
|
MonitoringSettings
Objekt
Ustawienia monitorowania
ProvisioningState
Wyliczenie
Stan aprowizacji zasobu BackupVault
| Wartość |
Opis |
|
Failed
|
|
|
Provisioning
|
|
|
Succeeded
|
|
|
Unknown
|
|
|
Updating
|
|
ResourceMoveDetails
Objekt
Funkcja ResourceMoveDetails zostanie zwrócona w odpowiedzi na wywołanie GetResource z usługi ARM
| Nazwa |
Typ |
Opis |
|
completionTimeUtc
|
string
|
Godzina ukończenia w formacie UTC ostatniej próby wykonania operacji ResourceMove. Format ISO 8601.
|
|
operationId
|
string
|
CorrelationId ostatniej próby wykonania operacji ResourceMove
|
|
sourceResourcePath
|
string
|
Ścieżka zasobu usługi ARM zasobu źródłowego
|
|
startTimeUtc
|
string
|
Godzina rozpoczęcia w formacie UTC ostatniej próby wykonania operacji ResourceMove. Format ISO 8601.
|
|
targetResourcePath
|
string
|
Ścieżka zasobu usługi ARM zasobu docelowego używanego w najnowszej operacji ResourceMove
|
ResourceMoveState
Wyliczenie
Stan przenoszenia zasobów dla magazynu kopii zapasowych
| Wartość |
Opis |
|
Unknown
|
|
|
InProgress
|
|
|
PrepareFailed
|
|
|
CommitFailed
|
|
|
Failed
|
|
|
PrepareTimedout
|
|
|
CommitTimedout
|
|
|
CriticalFailure
|
|
|
PartialSuccess
|
|
|
MoveSucceeded
|
|
SecureScoreLevel
Wyliczenie
Wskaźnik bezpieczeństwa magazynu kopii zapasowych
| Wartość |
Opis |
|
None
|
|
|
Minimum
|
|
|
Adequate
|
|
|
Maximum
|
|
|
NotSupported
|
|
SecuritySettings
Objekt
Klasa zawierająca ustawienia zabezpieczeń magazynu
| Nazwa |
Typ |
Opis |
|
encryptionSettings
|
encryptionSettings
|
Szczegóły klucza zarządzanego przez klienta dotyczące zasobu.
|
|
immutabilitySettings
|
ImmutabilitySettings
|
Ustawienia niezmienności na poziomie magazynu
|
|
softDeleteSettings
|
SoftDeleteSettings
|
Ustawienia pokrewne usuwania nietrwałego
|
SoftDeleteSettings
Objekt
Ustawienia pokrewne usuwania nietrwałego
| Nazwa |
Typ |
Opis |
|
retentionDurationInDays
|
number
(double)
|
Czas przechowywania usuwania nietrwałego
|
|
state
|
SoftDeleteState
|
Stan usuwania nietrwałego
|
SoftDeleteState
Wyliczenie
Stan usuwania nietrwałego
| Wartość |
Opis |
|
Off
|
Usuwanie nietrwałe jest wyłączone dla programu BackupVault
|
|
On
|
Usuwanie nietrwałe jest włączone dla programu BackupVault, ale można je wyłączyć
|
|
AlwaysOn
|
Usuwanie nietrwałe jest trwale włączone dla programu BackupVault i nie można zmienić ustawienia
|
StorageSetting
Objekt
Ustawienie magazynu
StorageSettingStoreTypes
Wyliczenie
Pobiera lub ustawia typ magazynu danych.
| Wartość |
Opis |
|
ArchiveStore
|
|
|
OperationalStore
|
|
|
VaultStore
|
|
StorageSettingTypes
Wyliczenie
Pobiera lub ustawia typ.
| Wartość |
Opis |
|
GeoRedundant
|
|
|
LocallyRedundant
|
|
|
ZoneRedundant
|
|
systemData
Objekt
Metadane dotyczące tworzenia i ostatniej modyfikacji zasobu.
| Nazwa |
Typ |
Opis |
|
createdAt
|
string
(date-time)
|
Sygnatura czasowa tworzenia zasobu (UTC).
|
|
createdBy
|
string
|
Tożsamość, która utworzyła zasób.
|
|
createdByType
|
createdByType
|
Typ tożsamości, która utworzyła zasób.
|
|
lastModifiedAt
|
string
(date-time)
|
Znacznik czasu ostatniej modyfikacji zasobu (UTC)
|
|
lastModifiedBy
|
string
|
Tożsamość, która ostatnio zmodyfikowała zasób.
|
|
lastModifiedByType
|
createdByType
|
Typ tożsamości, która ostatnio zmodyfikowała zasób.
|
UserAssignedIdentity
Objekt
Właściwości tożsamości przypisanej przez użytkownika
| Nazwa |
Typ |
Opis |
|
clientId
|
string
(uuid)
|
Identyfikator klienta przypisanej tożsamości.
|
|
principalId
|
string
(uuid)
|
Identyfikator podmiotu zabezpieczeń przypisanej tożsamości.
|